Bug 1392340 - [libsvm] wrong condition to disable java subpackage
Summary: [libsvm] wrong condition to disable java subpackage
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libsvm
Version: rawhide
Hardware: ppc64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ding-Yi Chen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
: 1392225 (view as bug list)
Depends On:
Blocks: PPCTracker
TreeView+ depends on / blocked
 
Reported: 2016-11-07 09:26 UTC by Dan Horák
Modified: 2016-11-07 16:23 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-11-07 15:07:03 UTC


Attachments (Terms of Use)

Description Dan Horák 2016-11-07 09:26:52 UTC
Due the wrong logic in the spec file (http://pkgs.fedoraproject.org/cgit/rpms/libsvm.git/tree/libsvm.spec#n48), the java subpackage is disabled even when it shouldn't be (in Fedora). And it causes additional issues, eg. in the weka package.

Because OpenJDK is not available on ppc and ppc64 arches in RHEL <= 6, the java subpackage should be disabled only there.


Version-Release number of selected component (if applicable):
libsvm-3.21-1.fc25

Comment 1 Ngo Than 2016-11-07 15:07:03 UTC
it should be fixed in libsvm-3.21-2.fc26

Comment 2 Dan Horák 2016-11-07 16:23:59 UTC
*** Bug 1392225 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.